---
search:
  tags:
    - Wishlist
    - PATCH
seo:
  description: >-
    Update wishlist details for the authenticated user. Reference for the PATCH
    /api/v1/{app_id}/wishlists/{id} endpoint in the Customers API.
sidebar:
  label: Update wishlist
  badge: PATCH
title: Update wishlist
type: openapi-operation
---
Update wishlist details for the authenticated user

`PATCH /api/v1/{app_id}/wishlists/{id}`

**Request body** (`application/json`, required)

Wishlist update data

- `is_default` (boolean)
- `name` (string)

Request body example:

```json
{
  "is_default": true,
  "name": "string"
}
```

**Responses**

- `200` — OK
- `400` — Invalid request
- `401` — Unauthorized
- `404` — Wishlist not found
- `500` — Internal server error

Response example, 200:

```json
{
  "created_at": "string",
  "id": "string",
  "is_default": true,
  "item_count": 0,
  "name": "string",
  "updated_at": "string",
  "user_id": "string"
}
```
